{{ ansible_managed | comment }}
#---------------------------------------------------------------------------
# Copyright BPC Lmt. (c) 2016
#---------------------------------------------------------------------------
# Module Name:   svfe_monitor.cfg
#---------------------------------------------------------------------------
# Designer(s): 
# Purpose:
#---------------------------------------------------------------------------
#

# tranaction type aliases
###########################

ALIAS_TXTP_cashwdl    = 700 ATM cash withdrawal
ALIAS_TXTP_pospurch   = 774 POS purchase
ALIAS_TXTP_balinq     = 702 ATM Balance Inquiry
ALIAS_TXTP_epurch     = 680 Electronic purchase
ALIAS_TXTP_txnpchk    = 752 Transaction pre-check by host
ALIAS_TXTP_avr        = 796 Address verification request
ALIAS_TXTP_pinch      = 751 PIN change
ALIAS_TXTP_poscash    = 777 POS cash disbursement
ALIAS_TXTP_pospurcb   = 776 POS purchase with cashback
ALIAS_TXTP_posppauth  = 736 POS pre-purchase authorization
ALIAS_TXTP_pospurchc  = 737 POS purchase completion
ALIAS_TXTP_p2pc       = 785 P2P Crebit part
ALIAS_TXTP_posbalinq  = 784 POS Balance Inquiry
ALIAS_TXTP_emvpinch   = 534 EMV PIN CHANGE
ALIAS_TXTP_valcard    = 782 Change card state to valid
ALIAS_TXTP_cashdep    = 618 Cash deposit
ALIAS_TXTP_ddoar      = 499 DYNAMIC_DATA_OAR
ALIAS_TXTP_fpinch     = 603 Forced Pinchange
ALIAS_TXTP_chcard     = 672 Change card status
ALIAS_TXTP_posinstp   = 584 POS installment purchase
ALIAS_TXTP_utilpmt    = 508 Utility Payment
ALIAS_TXTP_smson      = 797 SMS Service ON
ALIAS_TXTP_smsoff     = 798 SMS Service OFF
ALIAS_TXTP_smschg     = 517 SMS Service change
ALIAS_TXTP_ppauth     = 677 pre-purchase authorization
ALIAS_TXTP_pincrst    = 748 PIN count reset
ALIAS_TXTP_atmsttl    = 718 ATM settlement
ALIAS_TXTP_atmaddrc   = 721 ATM add receopts
ALIAS_TXTP_manpurch   = 671 manual purchase
ALIAS_TXTP_pmt        = 698 Payment
ALIAS_TXTP_fxfer      = 703 Funds Transfer
ALIAS_TXTP_epincc     = 551 EPIN CARD CHECK
ALIAS_TXTP_pakgenrq   = 550 GENERATE PAK
ALIAS_TXTP_wusendl    = 459 WU SENDER LOOKUP
ALIAS_TXTP_wurdreq    = 458 WU RECEIVER DATA REQUEST
ALIAS_TXTP_wuxferl    = 457 WU TRANSFER LOOKUP
ALIAS_TXTP_wuxfers    = 456 WU TRANSFER SEND
ALIAS_TXTP_wuxferr    = 455 WU TRANSFER RECEIVE
ALIAS_TXTP_wucardl    = 454 WU CARD LOOKUP
ALIAS_TXTP_wucurrl    = 453 WU CURRENCY LOOKUP
ALIAS_TXTP_wucntry    = 451 WU COUNTRY LOOKUP
ALIAS_TXTP_wuforeign  = 742 WU FOREIGN CARD
ALIAS_TXTP_acctlist   = 539 List accounts

ALIAS_TXTP_cash       = [ 700 777 ]                 ATM Cash Withdrawal/POS cash disbursement
ALIAS_TXTP_balinqx    = [ 702 757 758 759 ]         ATM Balance Inquiry (any mode)
ALIAS_TXTP_balance    = [ 702 784 ]                 Balance Inquiry (any terminal/mode)
ALIAS_TXTP_pos        = [ 774 736 737 777 784 584 ] POS operations

# terminal type aliases
#########################

ALIAS_TERM_atm  = 1 ATM
ALIAS_TERM_pos  = 2 POS Terminal
ALIAS_TERM_epos = 8 Electronic POS Terminal
ALIAS_TERM_posx = [ 2 8 ] Any POS (including electronic)

# response code aliases
#########################

ALIAS_RESP_txincompl = 0   Transaction was not completed

ALIAS_RESP_nsf       = 915 Insufficient Funds
ALIAS_RESP_invpin    = 901 Invalid PIN
ALIAS_RESP_xlimitd   = 917 Daily limit exceeded
ALIAS_RESP_invcvv2   = 871 Incorrect CVV2
ALIAS_RESP_invacct   = 914 Invalid Account
ALIAS_RESP_xpinfail  = 820 Excessive PIN Failures
ALIAS_RESP_invexpd   = 861 Expiration dates in database and on card not equal
ALIAS_RESP_invcard   = 905 Invalid Card
ALIAS_RESP_lost      = 822 This Card Has Been Lost
ALIAS_RESP_expcard   = 906 Card Has Expired
ALIAS_RESP_invpinc   = 904 Invalid PIN - Capture Card
ALIAS_RESP_stolen    = 823 This Card Has Been Stolen
ALIAS_RESP_npermit   = 804 NOT_PERMIT
ALIAS_RESP_cantproc  = 902 Cannot Process Transaction
ALIAS_RESP_arqgenver = 890 Arqc/arpc generation verification failed
ALIAS_RESP_cvvchk    = 833 CVV check failed
ALIAS_RESP_tvrver    = 989 TVR Verification failed (EMV offline decline)
ALIAS_RESP_cvv2proc  = 872 CVV2 Processing error
ALIAS_RESP_susprvsl  = 931 Suspect reversal
ALIAS_RESP_pinproc   = 835 PIN Processing Error
ALIAS_RESP_invamt    = 903 Invalid Amount
ALIAS_RESP_cancel    = 921 Transaction was cancelled
ALIAS_RESP_nondiv    = 920 Non-divisible amount
ALIAS_RESP_warm      = 936 Warm Card - deny without capture
ALIAS_RESP_unhonr    = 827 Transaction not honoured
ALIAS_RESP_fpinch    = 900 FORCED PINCHANGE
ALIAS_RESP_alract    = 883 Card already active
ALIAS_RESP_nocans    = 992 No ATM canisters
ALIAS_RESP_notworcpt = 896 Not allowed without receipt
ALIAS_RESP_frdsusp   = 376 SUSPECT FRAUD
ALIAS_RESP_frdexsusp = 952 SUSPECT EXTERNAL FRAUD
ALIAS_RESP_issinop   = 802 Issuer Inoperative
ALIAS_RESP_xlimit    = 912 LIMIT EXCEEDED
ALIAS_RESP_calliss   = 803 CALL ISSUER
ALIAS_RESP_duptxn    = 811 Duplicated transaction
ALIAS_RESP_error     = 805 Error (probably in pinblock transalation)
ALIAS_RESP_unproc    = 916 Unable to process - retry
ALIAS_RESP_invmerch  = 941 Invalid Merchant
ALIAS_RESP_invbatch  = 945 POS batch totals mismatch
ALIAS_RESP_cardrestr = 953 Card Restricted
ALIAS_RESP_xcyclmt   = 938 Cycle Limit Exceeded
ALIAS_RESP_txfreq    = 814 Transaction Frequency Limit Exceeded
ALIAS_RESP_acctcls   = 971 Account Closed
ALIAS_RESP_unkresp   = 939 Bad Network Response (unknown)
ALIAS_RESP_fmterr    = 812 Format Error
ALIAS_RESP_invinst   = 957 Invalid Institution
ALIAS_RESP_callpol   = 824 CALL POLICE
ALIAS_RESP_noorgtx   = 940 Original Transaction Not Found
ALIAS_RESP_svcinop   = 988 Service Inoperative
ALIAS_RESP_invpinrs  = 837 Undefined PIN Response Code
ALIAS_RESP_pickup    = 847 Pick up card (special condition)
ALIAS_RESP_invissi   = 828 Invalid Issuing Institution
ALIAS_RESP_noorgpa   = 991 Original Pre-Auth Transaction Not Found
ALIAS_RESP_pakexp    = 318 PAK EXPIRED
ALIAS_RESP_pakwait   = 319 CARD WAITS PAK
ALIAS_RESP_ito       = 801 Issuer time out

ALIAS_RESP_invtx     = [ 910 913 ]     Invalid Transaction
ALIAS_RESP_invpinx   = [ 901 904 ]     Invalid PIN (with or w/o capture)
ALIAS_RESP_exp       = [ 819 808 906 ] Expired Card (including foreign and with capture)

# a special built-in configurable alias: HW/SW error code list (used for "approval rate" calculation)
ALIAS_RESP_hwswerr   = [ 992 913 890 939 916 812 802 902 910 989 805 837 920 ] Technical Failures (HW/SW Errors)

# inistitution ID aliases (an arbitrary set can be specified)
###############################################################

# completion status aliases
#############################

ALIAS_CMPL_compl = [75 99] Completed Transactions (Including WFR)

# transaction info update intervals
#####################################

TXN_INST_ID_UPDT_INTVL = 50

# task ID filters
###################

TASK_ID_FILTER_CNT = stda atmi hsti nwi hostspec hyper txr cr acq
TASK_ID_FILTER_QSZ = stda atmi hsti nwi hostspec hyper txr cr pos hsm split tcpcom epay 8583pos svfe_sent
TASK_ID_FILTER_CPU = stda atmi hsti nwi hostspec hyper txr pos hsm 8583pos svfe_mon svfe_sent

TASK_ID_FILTER_CRASH = stda nwi txr split pos epay cr tcpc
TASK_ID_FILTER_RESTART = stda nwi txr split pos epay cr tcpc
TASK_ID_FILTER_RECOVERY = stda nwi txr split pos epay cr tcpc

# task info update intervals
##############################

TASK_ID_UPDT_INTVL    = 50
TASK_PROC_UPDT_INTVL  = 8
TASK_QUEUE_UPDT_INTVL = 8

# CRON job monitoring settings
################################

CRONJ_DB_UPDT_INTVL   = 10
CRONJ_WATCH_ENABLED   = Y
CRONJ_SYSLOG_DIR      = /var/log
CRONJ_LIST_UPDT_INTVL = 100
CRONJ_STAT_UPDT_INTVL = 16
CRONJ_WATCH_PERIOD    = 24

# connection info update intervals
####################################

CONN_NTWK_ID_UPDT_INTVL   = 50
CONN_NTWK_STAT_UPDT_INTVL = 8
CONN_EPAY_ID_UPDT_INTVL   = 50
CONN_EPAY_STAT_UPDT_INTVL = 8
CONN_HOST_ID_UPDT_INTVL   = 50
CONN_HOST_STAT_UPDT_INTVL = 8
CONN_HSM_ID_UPDT_INTVL    = 50
CONN_HSM_STAT_UPDT_INTVL  = 8
